Job Planning Line
Die API stellt Projektplanungszeilen (Job Planning Lines) aus Microsoft Dynamics 365 Business Central zur Verfügung. Change Tracking ist aktiviert, Datensätze können per Delayed Insert erstellt werden.
Basis-URL
Allgemeine Informationen
| Eigenschaft | Wert |
|---|---|
| APIPublisher | logico |
| APIGroup | project |
| APIVersion | v1.0 |
| Entity Name | jobPlanningLine |
| Entity Set Name | jobPlanningLines |
| Quelle | Job Planning Line |
| OData Key | systemId |
Endpunkte
GET /jobPlanningLines
POST /jobPlanningLines
PATCH /jobPlanningLines({systemId})
DELETE /jobPlanningLines({systemId})
Felder (Response)
| Feldname | Typ | Beschreibung |
|---|---|---|
| systemId | GUID | Eindeutige System-ID |
| lineNo | Integer | Zeilennummer |
| jobNo | Text | Projekt-Nr. |
| type | Enum | Typ |
| no | Text | Nr. (Ressource/Artikel/Konto) |
| workTypeCode | Text | Arbeitstyp |
| description | Text | Beschreibung |
| quantity | Decimal | Menge |
| unitCostLCY | Decimal | Einstandspreis (LCY) |
| totalCostLCY | Decimal | Gesamtkosten (LCY) |
| unitPriceLCY | Decimal | Verkaufspreis (LCY) |
| totalPriceLCY | Decimal | Gesamtpreis (LCY) |
| jobTaskNo | Text | Projektaufgabe |